## udunits 2.2.28

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.19)

PROJECT(udunits VERSION 2.2.28
        DESCRIPTION "C library and utility for units of physical quantities")
set(CMAKE_PROJECT_HOMEPAGE_URL https://www.unidata.ucar.edu/software/udunits)

# Specify the C standard
set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED True)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "${CMAKE_SOURCE_DIR}/.." CACHE PATH
        "Installation root directory" FORCE)
endif()

# Ensure a path in the format common to both Unix and MinGW.
FUNCTION(to_common_path input result)
    FILE(TO_NATIVE_PATH ${input} tmp)
    STRING(REGEX REPLACE "^(.):" "/\\1" tmp ${tmp})
    SET(${result} ${tmp} PARENT_SCOPE)
ENDFUNCTION(to_common_path)

# Build a shared library by default
INCLUDE(GenerateExportHeader)
option(BUILD_SHARED_LIBS "Build a shared library" ON)
if(BUILD_SHARED_LIBS)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
    IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
        set(CMAKE_BUILD_RPATH "$ORIGIN/../lib")
        set(CMAKE_INSTALL_RPATH "$ORIGIN/../lib")
    ELSEIF(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        set(CMAKE_BUILD_RPATH "@executable_path/../../lib")
        set(CMAKE_INSTALL_RPATH "@executable_path/../../lib")
    ELSE()
        MESSAGE(WARNING "Relocatable binary distribution is not supported for "
                "O/S \"${CMAKE_SYSTEM_NAME}\"")
    ENDIF()
endif()

# A little bit of Windows/Visual Studio housekeeping.
IF(MSVC)
    # Set a property used with Visual Studio
    SET(GLOBAL PROPERTY USE_FOLDERS ON)

    # Suppress CRT warnings.
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)

    OPTION(ENABLE_DLL "Build a Windows DLL." ${BUILD_SHARED_LIBS})
    MESSAGE(STATUS "Building Windows DLL: ${ENABLE_DLL}")
    IF(ENABLE_DLL)
       SET(BUILD_DLL ON CACHE BOOL "")
       ADD_DEFINITIONS(-DDLL_UDUNITS2)
       ADD_DEFINITIONS(-DDLL_EXPORT)
    ENDIF()
ENDIF()

###
# Fix to make sure we don't try to include unistd.h
# when using Visual Studio.
###
INCLUDE(${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)
IF(NOT HAVE_UNISTD_H)
  SET(YY_NO_UNISTD_H TRUE)
ENDIF()

# Ensures a path in the native format.
#FUNCTION(to_native_path input result)
#    FILE(TO_NATIVE_PATH ${input} tmp)
#    IF (WIN32 AND NOT UNIX)
#        STRING(REGEX REPLACE "/" "\\\\" tmp "${tmp}")
#    ENDIF()
#    SET(${result} "${tmp}" PARENT_SCOPE)
#ENDFUNCTION(to_native_path)

#FILE(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}/share/udunits/udunits2.xml"
#    DEFAULT_UDUNITS2_XML_PATH)
FILE(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}/share/udunits/udunits2.xml" tmp)
#MESSAGE("tmp = \"${tmp}\"")

STRING(REGEX REPLACE "\\\\ " " " tmp "${tmp}")
#MESSAGE("tmp = \"${tmp}\"")
#STRING(REGEX REPLACE "\\\\" "\\\\\\\\" DEFAULT_UDUNITS2_XML_PATH "${tmp}")

# Replace '\' with '\\' on Windows.
IF(MSVC)
    STRING(REPLACE "\\" "\\\\" tmp "${tmp}")
ENDIF(MSVC)

SET(DEFAULT_UDUNITS2_XML_PATH "${tmp}")
MESSAGE("DEFAULT_UDUNITS2_XML_PATH = \"${DEFAULT_UDUNITS2_XML_PATH}\"")

INCLUDE(CheckFunctionExists)
INCLUDE(CTest)
enable_testing()

# The following fails on Gilda:
#INCLUDE(GNUInstallDirs)
# Hence:
SET(CMAKE_INSTALL_INFODIR share/info)
SET(CMAKE_INSTALL_DOCDIR share/doc/udunits)

to_common_path(${CMAKE_SOURCE_DIR} common_source_dir)
to_common_path(${CMAKE_INSTALL_INFODIR} common_install_infodir)

# Determines if the top-level info(1)-file, "dir", should be modified.
find_program(INSTALL_INFO install-info)
IF (NOT INSTALL_INFO)
    MESSAGE("install-info(1) not found. Top-level info(1)-file will not be modified.")
ELSE()
    EXECUTE_PROCESS(COMMAND ${INSTALL_INFO} --version OUTPUT_QUIET
            RESULT_VARIABLE status)
    IF(NOT status EQUAL "0")
        MESSAGE("install-info(1) failure. Top-level info(1)-file will not be modified.")
        SET(INSTALL_INFO "NO")
    ELSE()
        EXECUTE_PROCESS(COMMAND ${INSTALL_INFO} --version COMMAND head -1
            COMMAND grep -q -i -v debian RESULT_VARIABLE status)
        IF(NOT status EQUAL "0")
            MESSAGE("Debian system. Top-level info(1)-file will not be modified.")
            SET(INSTALL_INFO "NO")
        ENDIF()
    ENDIF()
ENDIF()

# Declares documentation in texinfo(5) format. If "input" is relative, then it's
# resolved using the current source-directory. A custom target is derived from
# the filename and added to the default build target. The resulting
# documentation files are added to the "install" target.
find_program(MAKEINFO makeinfo)
IF (NOT MAKEINFO)
    MESSAGE(WARNING "makeinfo(1) not found. Existing documentation will be used.")
ENDIF()
FUNCTION(texi_doc input)
    string(REGEX REPLACE ".*/" "" basename ${input})
    string(REGEX REPLACE "\\..*" "" file ${basename})
    to_common_path(${input} common_input)
    IF (NOT MAKEINFO)
        MESSAGE("Texinfo-file \"${common_input}\" will not be processed.")
    ELSE()
        add_custom_command(
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
            OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/${file}.info"
                "${CMAKE_CURRENT_SOURCE_DIR}/${file}.html"
            MAIN_DEPENDENCY ${input}
            DEPENDS ${ARGN}
            COMMAND ${MAKEINFO} -o ${file}.info -I ${common_source_dir}
                ${common_input}
            COMMAND ${MAKEINFO} -o ${file}.html -I ${common_source_dir}
                --html --no-split ${common_input}
            VERBATIM
            COMMENT "Creating documentation from ${common_input}")
    ENDIF()
    add_custom_target(${file}_doc ALL
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.info
            ${CMAKE_CURRENT_SOURCE_DIR}/${file}.html)
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${file}.info" DESTINATION
            ${CMAKE_INSTALL_INFODIR})
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${file}.html" DESTINATION
            ${CMAKE_INSTALL_DOCDIR})
    if(INSTALL_INFO)
        SET(outpath "${common_install_infodir}/${file}.info")
        add_custom_command(
            OUTPUT "${CMAKE_INSTALL_INFODIR}/dir"
            MAIN_DEPENDENCY "${outpath}"
            COMMAND ${INSTALL_INFO} --info-dir="${common_install_infodir}"
                "${outpath}"
            VERBATIM
            COMMENT "Adjusting top-level info(1)-file according to ${outpath}")
    endif()
ENDFUNCTION(texi_doc)

# This package uses math functions
CHECK_FUNCTION_EXISTS(log10 HAVE_LOG10)
IF (NOT HAVE_LOG10)
    FIND_LIBRARY(MATH_LIBRARY NAMES m math)
    IF(NOT MATH_LIBRARY)
        MESSAGE(FATAL_ERROR "Unable to find a C math library.")
    ENDIF()
ENDIF()

# The EXPAT library, which implements a SAX XML parser, is used to parse the
# units database
INCLUDE(FindEXPAT)
IF(NOT EXPAT_FOUND)
    MESSAGE(FATAL_ERROR "Unable to find an EXPAT library.")
    IF(NOT EXPAT_INCLUDE_DIRS)
        MESSAGE(FATAL_ERROR "Unable to find an EXPAT header-file.")
    ENDIF()
ENDIF()

# The CUnit library is used for unit-testing
FIND_LIBRARY(CUNIT_LIBRARY cunit)
IF(CUNIT_LIBRARY)
    FIND_PATH(CUNIT_INCLUDE_DIR "CUnit/CUnit.h")
    IF (NOT CUNIT_INCLUDE_DIR)
        MESSAGE(STATUS "Unable to find CUnit header-file. Unit-testing not enabled.")
    ELSE()
        MESSAGE(STATUS "Found CUnit. Unit-testing enabled.")
        ENABLE_TESTING()
    ENDIF()
ELSE()
    MESSAGE(STATUS "Unable to find CUnit library. Unit-testing not enabled.")
ENDIF()

CONFIGURE_FILE(
    "${PROJECT_SOURCE_DIR}/config.h.cmake"
    "${PROJECT_BINARY_DIR}/config.h")
# Necessary for the compiler to find "config.h":
INCLUDE_DIRECTORIES("${PROJECT_BINARY_DIR}")

ADD_SUBDIRECTORY (lib)

# Import symbols instead of export them.
IF(BUILD_DLL)
    REMOVE_DEFINITIONS(-DDLL_EXPORT)
ENDIF()

ADD_SUBDIRECTORY (prog)

# The documentation is in texinfo(5) format
texi_doc(udunits2.texi version.texi COPYRIGHT)

# Install CHANGE_LOG and COPYRIGHT
install(FILES "${CMAKE_SOURCE_DIR}/CHANGE_LOG" DESTINATION
            ${CMAKE_INSTALL_DOCDIR})
install(FILES "${CMAKE_SOURCE_DIR}/COPYRIGHT" DESTINATION
            ${CMAKE_INSTALL_DOCDIR})

# Test the installation
SET(util "${CMAKE_INSTALL_PREFIX}/bin/udunits2")
IF(WIN32)
    STRING(REGEX REPLACE "/" "\\\\" util "${util}")
ENDIF()
#MESSAGE("util = \"${util}\"")
ADD_CUSTOM_TARGET(install_test "${util}" -A -H km -W m
    COMMENT "Checking installation...")

# Create an installer
INCLUDE(InstallRequiredSystemLibraries)
# Apparently, CMAKE_SYSTEM_PROCESSOR can't be overridden via the "-D..." option.
IF (WIN32)
    SET(CPACK_GENERATOR "NSIS")
    GET_FILENAME_COMPONENT(CPACK_NSIS_INSTALL_ROOT "${CMAKE_INSTALL_PREFIX}" PATH)
    GET_FILENAME_COMPONENT(CPACK_PACKAGE_INSTALL_DIRECTORY "${CMAKE_INSTALL_PREFIX}" NAME)
    STRING(REGEX REPLACE "/" "\\\\" CPACK_PACKAGE_INSTALL_DIRECTORY
        "${CPACK_PACKAGE_INSTALL_DIRECTORY}")
    SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} UDUNITS-2")
    SET(CPACK_NSIS_HELP_LINK "http://www.unidata.ucar.edu/software/udunits")
    SET(CPACK_NSIS_MODIFY_PATH ON)
    SET(CPACK_NSIS_URL_INFO_ABOUT "${CPACK_NSIS_HELP_LINK}")
#   # There is a bug in NSI that does not handle full unix paths properly. Make
#   # sure there is at least one set of four (4) backslashes.
#   SET(CPACK_PACKAGE_ICON "${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
#   SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
ENDIF()

SET(CPACK_DEBIAN_PACKAGE_DEPENDS "expat, libexpat-dev")
SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "${CMAKE_HOST_SYSTEM_PROCESSOR}")
SET(CPACK_RPM_PACKAGE_REQUIRES "expat, expat-devel")
SET(CPACK_RPM_PACKAGE_PROVIDES "udunits2(1), libudunits2, udunits2.h, converter.h")

SET(CPACK_PACKAGE_FILE_NAME
        "${CMAKE_PROJECT_NAME}-${CMAKE_PROJECT_VERSION}-${CMAKE_HOST_SYSTEM_PROCESSOR}")
SET(CPACK_PACKAGE_CONTACT "support-udunits@unidata.ucar.edu")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
SET(CPACK_PACKAGE_EXECUTABLES "udunits2")
SET(CPACK_PACKAGE_VENDOR "University Corporation for Atmospheric Research")
SET(CPACK_PACKAGING_INSTALL_PREFIX "/usr/local")
SET(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYRIGHT")
SET(CPACK_PACKAGE_RELOCATABLE "ON")
SET(CPACK_GENERATOR "RPM;DEB")

SET(CPACK_SOURCE_GENERATOR "TGZ;ZIP")
set(CPACK_SOURCE_IGNORE_FILES
        /\\.
        ~$
        \\.t2p/
        \\.o$
        \\.lo$
        \\.la$
        \\.libs/
        /test/
        /autom4te\\.cache/
        /build/
        /conda\\.recipe/
        /consistent$
        /udunits2$
        \\.log$
        /appveyor\\.yml$
        /BACKLOG$
        /build\\.gradle$
        /check.*$
        /commit$
        /config\\.status$
        /dev-makefile$
        /Makefile$
        /publish$
        /push$
        /scan$
        /stamp-h1$
        /t.t$
        \\.gz$
        \\.rpm$
        /yum-upload$
)

SET(CPACK_VERBATIM_VARIABLES YES)
# The following causes cpack(1) to fail
INCLUDE(CPack)
#include(UseRPMTools)
#    if(RPMTools_ADD_RPM_TARGETS("udunits"))
#endif()

=== lib/CMakeLists.txt ===
INCLUDE_DIRECTORIES("." "${CMAKE_BINARY_DIR}")
INCLUDE_DIRECTORIES("${EXPAT_INCLUDE_DIRS}")
IF (CUNIT_INCLUDE_DIR)
    INCLUDE_DIRECTORIES("${CUNIT_INCLUDE_DIR}")
ENDIF()

IF(YY_NO_UNISTD_H)
    ADD_DEFINITIONS(-DYY_NO_UNISTD_H)
ENDIF(YY_NO_UNISTD_H)

##
# Check to see if we have flex and bison.
##
FIND_PROGRAM(UD_FLEX NAMES flex)
FIND_PROGRAM(UD_BISON NAMES bison)

# Ensure that the C source-files for the scanner and parser are up-to-date
# on a Unix system.
#
# MODIFICATION: Instead of checking for Unix, see if flex and bison
# are available.
#
# MODIFICATION 2: Moving back for now, but leaving framework.
#  Other complications arose on Windows with MSVC.
#

IF(UNIX)
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/scanner.c
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND ${UD_FLEX} -d -Put -o scanner.c scanner.l
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scanner.l)
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/parser.c
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND ${UD_BISON} -t -p ut -o parser.c parser.y
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/parser.y)
    set_source_files_properties(parser.c
        PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scanner.c)
endif()

SET(libudunits2_src converter.c
		    error.c
		    formatter.c
		    idToUnitMap.c
		    parser.c
		    prefix.c
		    status.c
		    systemMap.c
		    unitAndId.c
		    unitcore.c
		    unitToIdMap.c
		    ut_free_system.c
		    xml.c
		    udunits2.h)

if(MSVC)
	SET(libudunits2_src ${libudunits2_src}
	tsearch.c tsearch.h udunits_snprintf.c)
endif()

add_library(libudunits2
	${libudunits2_src})	
set_target_properties(libudunits2 PROPERTIES LIBRARY_OUTPUT_NAME udunits2)
set_target_properties(libudunits2 PROPERTIES ARCHIVE_OUTPUT_NAME udunits2)
set_target_properties(libudunits2 PROPERTIES RUNTIME_OUTPUT_NAME udunits2)
target_link_libraries(libudunits2 ${EXPAT_LIBRARIES})
target_link_libraries(libudunits2 ${MATH_LIBRARY})
target_link_libraries(libudunits2 ${CMAKE_DL_LIBS})

IF(MSVC)
	SET_TARGET_PROPERTIES(libudunits2 PROPERTIES
	LINK_FLAGS_DEBUG " /NODEFAULTLIB:MSVCRT"
)
ENDIF()

if (CUNIT_LIBRARY)
    add_executable(testUnits testUnits.c)
    target_link_libraries (testUnits libudunits2)
    target_link_libraries (testUnits ${CUNIT_LIBRARY})
    add_test(
        NAME testUnits
        COMMAND testUnits ${CMAKE_CURRENT_SOURCE_DIR}/udunits2.xml)
endif()

# The documentation is in multiple texinfo(5) format files
texi_doc(udunits2lib.texi ${CMAKE_SOURCE_DIR}/COPYRIGHT)
    
install(TARGETS libudunits2 EXPORT udunits2-targets
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)
install(FILES udunits2.h converter.h DESTINATION include)
install(FILES
        udunits2.xml
        udunits2-accepted.xml
        udunits2-base.xml
        udunits2-common.xml
        udunits2-derived.xml
        udunits2-prefixes.xml
    DESTINATION share/udunits)

=== prog/CMakeLists.txt ===
include_directories ("${PROJECT_SOURCE_DIR}/lib")

IF(BUILD_SHARED_LIBS AND MSVC)
 REMOVE_DEFINITIONS(-DDLL_EXPORT)
 REMOVE_DEFINITIONS(-DDLL_UDUNITS2)
ENDIF()


link_directories(${PROJECT_BINARY_DIR}/lib)

set(udunits2_SRC udunits2.c)

# We need to implement our own getopt if using Visual Studio.
IF(MSVC)
   set(udunits2_SRC ${udunits2_SRC} XGetOpt.c XGetOpt.h)
ENDIF()


add_executable(udunits2 ${udunits2_SRC})

target_link_libraries(udunits2 libudunits2)
IF(MSVC)
    SET_TARGET_PROPERTIES(udunits2 PROPERTIES LINK_FLAGS_DEBUG
    " /NODEFAULTLIB:MSVCRT"
    )
ENDIF()

# The documentation is in multiple texinfo(5) format files
texi_doc(udunits2prog.texi ${CMAKE_SOURCE_DIR}/COPYRIGHT)

install(TARGETS udunits2 DESTINATION bin)

=== debian/changelog ===
udunits (2.2.28-8) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.2; no changes required
  * Update d/watch file
  * Add shlibs:Depends, misc:Depends to udunits-bin for debhelper
  * Move recommends: pkgs-config -> pkgconf
  * Re-create html files to allow multiple builds. Closes: #1049582
  * Close old bugs: Closes: #1013822, #1013858
  * Mark linudunits-0 as Multi-Arch: same
  * Update d/copyright. Closes: #837666

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Aug 2025 08:55:24 +0100

udunits (2.2.28-7) unstable; urgency=medium

  * Delete autogenerated files for multiple-successive builds.
    Closes: #1046458, #1049582
  * Standards-Version: 4.6.2
  * Ack previously closed bugs. Closes: #1013858, #1013822
  * Fix watch file to use https page

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Aug 2023 13:24:17 +0100

udunits (2.2.28-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + libudunits2-0: Drop versioned constraint on dpkg and install-info in
      Depends.
    + libudunits2-data: Drop versioned constraint on libudunits2-0 in Replaces.
    + libudunits2-data: Drop versioned constraint on libudunits2-0 in Breaks.
    + udunits-bin: Drop versioned constraint on dpkg and install-info in
      Depends.
    + udunits-bin: Drop versioned constraint on libudunits2-0 in Replaces.
    + udunits-bin: Drop versioned constraint on libudunits2-0 in Breaks.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Jan 2023 11:47:17 +0000

udunits (2.2.28-5) unstable; urgency=medium

  * Drop dep on install-info. Closes: #1013858, #1013822
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 27 Jun 2022 13:07:02 +0100

udunits (2.2.28-4) unstable; urgency=medium

  * Don't ship broken redundant symlinks in doc dirs. Closes: #986457
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Apr 2022 12:53:28 +0100

udunits (2.2.28-3) unstable; urgency=medium

  * add initial autopkg test(s)
  * Fix for buggy XML data path calculation. Closes: #981289

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jan 2021 11:20:01 +0000

udunits (2.2.28-2) unstable; urgency=medium

  * Fix regression; xml files ship in -data. Closes: #978397

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Dec 2020 08:54:54 +0000

udunits (2.2.28-1) unstable; urgency=medium

  * New upstream release
  * Now use debhelper-compat (= 13)
  * Standards-Version: 4.5.1; no changes required
  * Move to DEP-14 branches; point vcs-git to debian/latest
  * Add d/gbp.conf to document branches
  * Update docs: add DOI, README, remove BACK_LOG
  * Drop M-A: same from libudunits2-0 and dev pkg Closes: #874234
  * Drop hard-coded xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Dec 2020 12:49:02 +0000

=== debian/control ===
Source: udunits
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=13), 
 libexpat-dev, 
 libcunit1-dev, 
 texinfo, 
 libtool, 
 texlive 
Standards-Version: 4.7.2
Homepage: https://www.unidata.ucar.edu/software/udunits/
Vcs-Browser: https://salsa.debian.org/science-team/udunits.git
Vcs-Git: https://salsa.debian.org/science-team/udunits.git -b  debian/latest

Package: libudunits2-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: libudunits2-data, ${misc:Depends}, ${shlibs:Depends}
Description: Library for handling of units of physical quantities
 The UDUNITS package supports units of physical quantities (e.g., meters, 
 seconds).  Specifically, it supports conversion between string and binary 
 representations of units, arithmetic manipulation of units, and conversion of 
 numeric values between compatible units. The package is written in the 
 C programming language.

Package: libudunits2-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data for handling of units of physical quantities
 The UDUNITS package supports units of physical quantities (e.g., meters, 
 seconds).  Specifically, it supports conversion between string and binary 
 representations of units, arithmetic manipulation of units, and conversion of 
 numeric values between compatible units. The package is written in the 
 C programming language.
 .
 This package provides the data files used by the library.

Package: libudunits2-dev
Section: libdevel
Architecture: any
Depends: libudunits2-0 ( = ${binary:Version}), ${misc:Depends}
Recommends: pkgconf
Description: Development files for the libunits physical units package
 The UDUNITS package supports units of physical quantities (e.g., meters, 
 seconds).  Specifically, it supports conversion between string and binary 
 representations of units, arithmetic manipulation of units, and conversion of 
 numeric values between compatible units. The package is written in the 
 C programming language.
 .
 This package provides the include files and static libraries for development.

Package: udunits-bin
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libudunits2-0 (<= 2.2.26-2)
Description: Utility for handling units of physical quantities
 udunits is a utility  for handling units of physical quantities. It supports 
 conversion between string and binary representations of units,
 arithmetic manipulation of units, and conversion of numeric values between 
 compatible units. The package is written in the C programming language.

=== debian/rules ===
#!/usr/bin/make -f


# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

VERFILE:=$(shell pwd)/debian/udunits2.ver

# magic debhelper rule
%:
	dh $@  

override_dh_auto_clean:
	dh_auto_clean
	rm -f stamp-vti version.texi udunits2.info

override_dh_auto_configure:
	LDFLAGS=" -Wl,--as-needed -Wl,--version-script,${VERFILE} $(LDFLAGS)" \
			dh_auto_configure -- --datarootdir=/usr/share/xml


override_dh_auto_build:
	dh_auto_build
	$(MAKE) pdf html

override_dh_auto_install:
	dh_auto_install
	dh_installchangelogs CHANGE_LOG
	rm -f debian/tmp/usr/lib/*/*.la debian/tmp/usr/share/xml/doc/udunits/CHANGE_LOG

=== debian/tests/control ===
Test-Command: set -e
  ; udunits2 -H cm -W inch 2> /dev/null
Depends: udunits-bin
Superficial: yes

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=4
opts="searchmode=plain" \
  https://docs.unidata.ucar.edu/udunits/current/index.html \
  https://downloads.unidata.ucar.edu/udunits/.*/udunits-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
